summaryrefslogtreecommitdiff
path: root/eclass/toolchain.eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass10
1 files changed, 6 insertions, 4 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 68e4ce15b377..d80889d1ba64 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1175,10 +1175,12 @@ toolchain_src_configure() {
### library options
- if ! is_gcj ; then
- confgcc+=( --disable-libgcj )
- elif use awt ; then
- confgcc+=( --enable-java-awt=gtk )
+ if tc_version_is_between 3.0 7.0 ; then
+ if ! is_gcj ; then
+ confgcc+=( --disable-libgcj )
+ elif use awt ; then
+ confgcc+=( --enable-java-awt=gtk )
+ fi
fi
if tc_version_is_at_least 4.2 ; then